#jeu ou il faut traverser ecran sans toucher les disques
from microbit import *
from mb_butns import *
from random import choice,randint
import ti_graphics as scr
from math import fabs
from time import *
from turtle import *
t=Turtle()

def depart():
  t.penup()
  t.goto(0,-90)
  t.setheading(90)
  t.pendown()

def randcolor():
  seq=(0,255)
  r,v,b=255,255,255
  s=r+v+b # s=765 => blanc
  while s==765:#blanc interdit
    r=choice(seq)
    v=choice(seq)
    b=choice(seq)
    s=r+v+b
  return r,v,b

def disque():
  x=randint(-150,150)
  y=randint(-70,90)
  d=randint(10,30)
  r,v,b=randcolor()
  t.penup()
  t.goto(x,y)
  t.pendown()
  t.pencolor(r,v,b)
  t.dot(d)

#== PROG PRINCIPAL ==
t.clear()
t.hidegrid()
for i in range(80):
  disque()
depart()
t.pensize(2)
t.pencolor(125,125,125)
t.write('prêt ? => annul')
t.done()
t0=monotonic()
a,b=0,0
y=t.ycor()

p=0 #penalites
rvb=(0,0,0)

while y<=90:
  if a==1:
    t.right(90)
    a=0
  if b==1:
    t.left(90)
    b=0
    
  if pin_logo.is_touched():
    t.done()
    
  if button_a.was_pressed():
    t.left(90)
    a=1
  if button_b.was_pressed():
    t.right(90)
    b=1
  t.forward(5)
  x=t.xcor()
  y=t.ycor()
  X,Y=160+x,133-y
  rvb=scr.getPixel(X,Y)
  val=sum(rvb)
  if val!=3*255:
    t.write(' !')
    
  p+=fabs(val-(3*255))
  
print("penalités = "+str(p))
print("temps = {:.1f} s".format(monotonic()-t0))
t.done()
